- Qt 5.15
- Qt GUI
- C++ Classes
- QIcon
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QIcon

The following members of class QIcon are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` int | serialNumber() const

## Member Function Documentation

### int QIcon::serialNumber() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns a number that identifies the contents of this QIcon object. Distinct QIcon objects can have the same serial number if they refer to the same contents (but they don't have to). Also, the serial number of a QIcon object may change during its lifetime.

Use cacheKey() instead.

A null icon always has a serial number of 0.

Serial numbers are mostly useful in conjunction with caching.

See also QPixmap::serialNumber().